import { Injectable } from '@angular/core';
import { Product } from '../models/product';

@Injectable({
  providedIn: 'root'
})
export class CartService {
  cart: Product[] = []

  constructor() { }

  addToCart(product: Product) {
    const productInCart: Product | undefined = this.cart.find(i => i.id === product.id)

    if(productInCart) {
      let newQuantity: number =  productInCart.quantity + product.quantity
      let index: number = this.cart.findIndex(
        (cart) => cart.id === product.id
      )
      this.cart[index].quantity = newQuantity;
    } else {
      this.cart.push(product)
    }
  }

  removeFromCart(product: Product) {
    this.cart = this.cart.filter((cart) => cart.id !== product.id);
  }

  getItems() {
    return this.cart
  }

  clearCart() {
    this.cart = []
    return this.cart
  }

  getQuantity() {
    let sum = 0
    if(this.cart.length > 0) {
      const result = this.cart.forEach((item) => {
         sum += item.quantity
      })
      return sum
    } else {
      return sum
    }
  }

  getTotalPrice() {
    let sum = 0
    if(this.cart.length > 0) {
      const result = this.cart.forEach((item) => {
         sum += item.price * item.quantity
      })
      return sum
    } else {
      return sum
    }
  }

}
